org.eclipse.emf.cdo.transaction

## Class CDODefaultTransactionHandler

- java.lang.Object
- - org.eclipse.emf.cdo.transaction.CDODefaultTransactionHandler1
  - - org.eclipse.emf.cdo.transaction.CDODefaultTransactionHandler

- All Implemented Interfaces:
    CDOTransactionHandler, CDOTransactionHandler1, CDOTransactionHandler1.WithUndo, CDOTransactionHandler2, CDOTransactionHandlerBase

      public class CDODefaultTransactionHandler
      extends CDODefaultTransactionHandler1
      implements CDOTransactionHandler

  An empty default implementation of `CDOTransactionHandler1` and `CDOTransactionHandler2`.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionHandler1

      `CDOTransactionHandler1.WithUndo`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CDODefaultTransactionHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `committedTransaction(CDOTransaction transaction, CDOCommitContext commitContext)` This implementation does nothing.
    `void` | `committingTransaction(CDOTransaction transaction, CDOCommitContext commitContext)` This implementation does nothing.
    `void` | `rolledBackTransaction(CDOTransaction transaction)` This implementation does nothing.

    - ### Methods inherited from class org.eclipse.emf.cdo.transaction.CDODefaultTransactionHandler1

      `attachingObject, detachingObject, handleDefault, modifyingObject, undoingObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionHandler1

      `attachingObject, detachingObject, modifyingObject`

- - ### Constructor Detail

    - #### CDODefaultTransactionHandler

          protected CDODefaultTransactionHandler()

  - ### Method Detail

    - #### committingTransaction

          public void committingTransaction(CDOTransaction transaction,
                                            CDOCommitContext commitContext)

      This implementation does nothing. Clients may override to provide specialized behavior.
      Specified by:
        `committingTransaction` in interface `CDOTransactionHandler2`

    - #### committedTransaction

          public void committedTransaction(CDOTransaction transaction,
                                           CDOCommitContext commitContext)

      This implementation does nothing. Clients may override to provide specialized behavior.
      Specified by:
        `committedTransaction` in interface `CDOTransactionHandler2`

    - #### rolledBackTransaction

          public void rolledBackTransaction(CDOTransaction transaction)

      This implementation does nothing. Clients may override to provide specialized behavior.
      Specified by:
        `rolledBackTransaction` in interface `CDOTransactionHandler2`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html